$(document).ready(function(){
  
  //sets resize allowed
  resizeallowed = (Drupal.settings.imagecrop.resize == 0 ) ? false : true;

  crop_minWidth = Drupal.settings.imagecrop.minWidth;
  crop_minHeight = Drupal.settings.imagecrop.minHeight;

  aspectRatio = (Drupal.settings.imagecrop.aspectRatio != false ) ?  Drupal.settings.imagecrop.aspectRatio : false;

  crop_width = $("#edit-image-crop-width").val();
  crop_height = $("#edit-image-crop-height").val();

  curr_width = Number($('#imagefield-crop-wrapper').width());
  curr_height = Number($('#imagefield-crop-wrapper').height());

  x = Number($("#edit-image-crop-x").val());
  y = Number($("#edit-image-crop-y").val());

  //replace % with correct number
  if(crop_width.indexOf("%") != -1){
    correct_width = percent("width");
    crop_width = correct_width;
    //convert width with percent to number for minWidth
    if(crop_minWidth != 1){ crop_minWidth = correct_width; }
  }
  if(crop_height.indexOf("%") != -1){
    correct_height = percent("height");
    crop_height = correct_height;
    //convert width with percent to number for minHeight
    if(crop_minHeight != 1){ crop_minHeight = correct_height; }
  }

  //add crop width to x to get x2
  var x2 = Number(crop_width) + x;
  var y2 = Number(crop_height) + y;

  $('#cropbox').Jcrop({
    bgOpacity: .5,
    minSize: [ crop_minWidth, crop_minHeight],
    allowResize: resizeallowed,
    allowSelect: false,
    aspectRatio: aspectRatio,
    handleSize: 9,
    onSelect: updateCoords,
    setSelect: [x,y,x2,y2]
  },function(){
    //callback used since jcrop takes a second if image is really big
    $("#imagefield-crop-wrapper").css('backgroundImage', 'none');
    $("#image-crop-container").css('visibility', 'visible');
  });

});

//updated input fields with new coordinates when resizing / moving jcrop box
function updateCoords(c){
  $("#edit-image-crop-x").val(c.x);
  $("#edit-image-crop-y").val(c.y);
  $("#edit-image-crop-width").val(c.w);
  $("#edit-image-crop-height").val(c.h);
};

//helper function to convert % into correct number
function percent(e){
  if(e == "width"){ e=crop_width;e2=curr_width; }
  if(e == "height"){ e=crop_height;e2=curr_height; }
  return Math.round(e.replace("%","")/100*e2);
}